Subject: [TOOLS-DEVELOPMENT] Statistics- and infopage-related work... how to get to the final end :-)

From: Jari Arkko <[email-masked]>
Date: Sat, 11 Nov 2017 14:55:07 +0800

I was looking at various statistics-relating issues and the overall picture today in the sprint with Henrik.

I was working on fixing some bugs in my tools that Tero had noted, as well as thinking about developing a new function (either in data tracker or my tools) that would allow e.g., email notification to a user when a new document matching user’s specified filter (e.g., “company=X”) appears. We figured it would be easiest to do the latter on the data tracker, perhaps as an extension of the notification mechanism. But verified email addresses, user accounts, etc. would already exist so this would be relatively easy to do.

However, we were also looking at the overall situation with statistics and pages describing either people’s or other entities’s documents (such as companies or countries).

The newly developed stats pages on the data tracker are great [1], and so are Henrik’s earlier created other pages (e.g., author pages [2]), but it seems that there’s some need for further development as well. It would be so nice to get to the end in the information pages and statistics project, with clean, datatracker-supported data sources and full integration of all data.

I think we should complete the work, and as a concrete goal, I’d like to get to a state where we can comfortably replace various links to my pages with links to the datatracker pages.

So what remains? Different people probably have different ideas here, perhaps we can together get a common view of what is needed. Let me start, and suggest a list of things I see from my perspective. It would be helpful if others provided additional items so that we can build a complete list.

I think we have at least the following efforts to do:

1) Make links to pages such as [2] available from elsewhere on the web site, e.g., from the statistics pages. Don’t think people are currently finding them.
2) Make per-company and per-country pages, similar to, e.g., [3].
3) Make an effort to correct (or unify in web representation) company names that are part of the same larger entity. See e.g. [4] and the various Huaweis :-)
4) Make an effort to correct faultily recognised company names and other similar data that clobbers some of the stats pages. For instance, at [4] on the first page 10 out of 22 names are odd and likely bad.
4) Make a project out of backfilling the datatracker with info from early RFCs. See for instance [5].
5) Consider enhancing the notification feature to support at least notification about “new draft from company x” (this is an optional feature request, not a mandatory part of the stats project)

Links:

[1] https://datatracker.ietf.org/stats/document/authors/ <https://datatracker.ietf.org/stats/document/authors/>
[2] https://datatracker.ietf.org/person/Jari%20Arkko <https://datatracker.ietf.org/person/Jari%20Arkko>
[3] http://www.arkko.com/tools/allstats/c_ericsson.html <http://www.arkko.com/tools/allstats/c_ericsson.html>
[4] https://datatracker.ietf.org/stats/document/author/affiliation/ <https://datatracker.ietf.org/stats/document/author/affiliation/>
[5] https://datatracker.ietf.org/person/Steve%20Crocker <https://datatracker.ietf.org/person/Steve%20Crocker>

Jari